
#define BLIT(fd)        ioctl((fd), _IO('d', 0))
#define DISPLAY(fd, x)  ioctl((fd), _IOW('d', 1, int), (x))
#define CLEAR(fd)       ioctl((fd), _IO('d', 5))
#define ENQUEUE(fd)     ioctl((fd), _IO('d', 6))
#define POPQUEUE(fd)    ioctl((fd), _IO('d', 7)) 
#define FLUSHQUEUE(fd)  ioctl((fd), _IO('d', 8))

struct rawImage {
	int	width;
	int	height;
	char	*data;
};

struct menuItem {
	struct rawImage *img;
	char	*title;
	char	*command;
	struct menuItem *next;
	struct menuItem *prev;
};
