/*
 * ir.h
 *
 * /dev/ir codes from the empeg
 *
 * the top 16 bits of each code should be zero
 */

/*
 * Front panel buttons
 */

#define IR_TOP_BUTTON_PRESSED		0x00000000
#define IR_TOP_BUTTON_RELEASED		0x00000001
#define IR_RIGHT_BUTTON_PRESSED		0x00000002
#define IR_RIGHT_BUTTON_RELEASED	0x00000003
#define IR_LEFT_BUTTON_PRESSED		0x00000004
#define IR_LEFT_BUTTON_RELEASED		0x00000005
#define IR_BOTTOM_BUTTON_PRESSED	0x00000006
#define IR_BOTTOM_BUTTON_RELEASED	0x00000007
#define IR_ROTARY_BUTTON_PRESSED	0x00000008
#define IR_ROTARY_BUTTON_RELEASED	0x00000009
#define IR_ROTARY_BUTTON_RIGHT		0x0000000A
#define IR_ROTARY_BUTTON_LEFT		0x0000000B

/*
 * Kenwood RCA-R6A remote
 */

#define IR_0		0x0000B900
#define IR_1		0x0000B901
#define IR_2		0x0000B902
#define IR_3		0x0000B903
#define IR_4		0x0000B904
#define IR_5		0x0000B905
#define IR_6		0x0000B906
#define IR_7		0x0000B907
#define IR_8		0x0000B908
#define IR_9		0x0000B909
#define IR_TRACK_MINUS	0x0000B90A
#define IR_TRACK_PLUS	0x0000B90B
#define IR_AM		0x0000B90C
#define IR_FM		0x0000B90D
#define IR_PROG		0x0000B90E
#define IR_DIRECT	0x0000B90F
#define IR_VOL_PLUS	0x0000B914
#define IR_VOL_MINUS	0x0000B915
#define IR_STAR		0x0000B91B
#define IR_TUNER	0x0000B91C
#define IR_TAPE		0x0000B91D
#define IR_CD		0x0000B91E
#define IR_CDMDCH	0x0000B91F
#define IR_DNPP		0x0000B95E


#define IR_FAKE_0		0x00007910
#define IR_FAKE_1		0x00007911
#define IR_FAKE_2		0x00007912
#define IR_FAKE_3		0x00007913
#define IR_FAKE_4		0x00007914
#define IR_FAKE_5		0x00007915
#define IR_FAKE_6		0x00007916
#define IR_FAKE_7		0x00007917
#define IR_FAKE_8		0x00007918
#define IR_FAKE_9		0x00007919
#define IR_FAKE_TRACK_MINUS	0x00007905
#define IR_FAKE_TRACK_PLUS	0x00007906
#define IR_FAKE_AM		0x0000B90C
#define IR_FAKE_FM		0x0000B90D
#define IR_FAKE_PROG		0x0000791A
#define IR_FAKE_DIRECT		0x0000790A
#define IR_FAKE_VOL_PLUS	0x0000791D
#define IR_FAKE_VOL_MINUS	0x0000791C
#define IR_FAKE_STAR		0x00007903
#define IR_FAKE_TUNER		0x0000B91C
#define IR_FAKE_TAPE		0x0000B91D
#define IR_FAKE_CD		0x0000B91E
#define IR_FAKE_CDMDCH		0x00007955
#define IR_FAKE_DNPP		0x00007902

